Add support for '-tr' parameter in clip raster tools
Status: Open
Category: Processing/GDAL

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 25784
Description

When |

clip a raster by extent
using the toolbox | cannot change the resolution (ie "-tr 5 5") of the Output-Raster anymore.
| Tried using the Additional creation parameters but that adds "-co" to the command.

gdal_translate -projwin -34410 234733 -34139 234530 -ot Float32 -of GTiff -co -tr=5 5
V:/Geodaten/Luftbilder/Orthofotos/VIbg/ef2015_10cm.ecw C:/temp/OUTPUT.tif

In QGIS 2.18 | can add the -tr-Parameter by using the "Additional creation parameters [optional].

History

#1 - 2018-01-22 06:33 PM - Alexander Bruy
- Subject changed from Processing Clip raster by extent to Add support for -tr' parameter in clip raster tools
- Tracker changed from Bug report to Feature request

This is should be a feature request, not bug.

#2 - 2018-01-23 07:55 AM - Peter Drexel
OK, but it is a regression.

Thanks

Peter

#3 - 2018-02-01 07:09 PM - Alexander Bruy
- Priority changed from High to Normal

This is not regression. GdalTools and Processing are different plugins and they have different Ul.

#4 - 2018-02-02 10:14 AM - Peter Drexel

As | am able to change the resolution of the output-raster in 2.18 and not in 2.99 | would still call it a regression...

Both versions use gdal_translate, but in 2.99 i can not find g way to pass "-tr" to the tool.

In 2.18: gdal:gdalogr:cliprasterbyextent
gdal_translate -of GTiff -ot Float32 -projwin -70000.0 277500.0 -2500.0 187500.0 -co COMPRESS=DEFLATE -co PREDICTOR=1 -co ZLEVEL=6
c:/ef2015_10cm.ecw C:/temp/OUTPUT. tif

In 2.99: gdal:cliprasterbyextent

gdal_translate -projwin -27042.60552715909 246338.32765744213 -24485.768953397805 244366.07958437916 -ot Float32 -of GTiff
c:/ef2015_10cm.ecw C:/temp/OUTPUT. tif

2024-03-13 22



